package com.srs.workstudy.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.workstudy.domain.QgzxMoneyExtra;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * 勤工助学额外薪资Service接口
 *
 * @author srs
 * @date 2024-11-10
 */
public interface IQgzxMoneyExtraService extends IService<QgzxMoneyExtra> {

    public AjaxResult delMoneyExtra(Long id);


    public AjaxResult addMoneyExtra(QgzxMoneyExtra qgzxMoneyExtra);

    /**
     * 查询勤工助学额外薪资
     *
     * @param id 勤工助学额外薪资主键
     * @return 勤工助学额外薪资
     */
    public QgzxMoneyExtra selectQgzxMoneyExtraById(Long id);

    /**
     * 查询勤工助学额外薪资列表
     *
     * @param qgzxMoneyExtra 勤工助学额外薪资
     * @return 勤工助学额外薪资集合
     */
    List<QgzxMoneyExtra> selectQgzxMoneyExtraList(QgzxMoneyExtra qgzxMoneyExtra);

    /**
     * 新增勤工助学额外薪资
     *
     * @param qgzxMoneyExtra 勤工助学额外薪资
     * @return 结果
     */
    int insertQgzxMoneyExtra(QgzxMoneyExtra qgzxMoneyExtra);

    /**
     * 修改勤工助学额外薪资
     *
     * @param qgzxMoneyExtra 勤工助学额外薪资
     * @return 结果
     */
    int updateQgzxMoneyExtra(QgzxMoneyExtra qgzxMoneyExtra);

    /**
     * 批量删除勤工助学额外薪资
     *
     * @param ids 需要删除的勤工助学额外薪资主键集合
     * @return 结果
     */
    int deleteQgzxMoneyExtraByIds(Long[] ids);

    /**
     * 删除勤工助学额外薪资信息
     *
     * @param id 勤工助学额外薪资主键
     * @return 结果
     */
    int deleteQgzxMoneyExtraById(Long id);
}
